package main

import (
	"fmt"
	"strings"
)

func main() {
	var o Object = Object{
		Id:          1,
		Kind:        KPlayer,
		Name:        "Bob",
		Description: "Hello World!",
		Password:    "12345",
		Location:    2,
		Owner:       0,
		Health:      ValueRange{Value: 10, Max: 10},
		Magic:       ValueRange{Value: 0, Max: 0},
		BuildPoints: ValueRange{Value: 3, Max: 10},
		Level:       1,
		Experience:  ValueRange{Value: 0, Max: 80},
		Inventory: map[Id]uint64{
			3: 1,
		},
		Exits:          make(map[string]Id),
		Motd:           "",
		CoOwner:        0,
		SeniorOfficers: []Id{},
		Officers:       []Id{},
		Members:        []Id{},
	}
	fmt.Printf("o is %v\r\n", o.valid())
	fmt.Printf("%s", strings.ReplaceAll(o.render(), "\n", "\r\n"))
}
